input_ff_create_memless
Prev | Chapter 25. Input Subsystem | Next

## Name

input_ff_create_memless — create memoryless force-feedback device

## Synopsis

`int input_ff_create_memless (` | struct input_dev * | dev,
| void * | data,
| int (* | play_effect`(`struct input_dev *, void *, struct ff_effect *`)``)`;

## Arguments

`dev`

  input device supporting force-feedback

`data`

  driver-specific data to be passed into `play_effect`

`play_effect`

  driver-specific method for playing FF effect

Prev | Up | Next
input_ff_destroy | Home | Chapter 26. Serial Peripheral Interface (SPI)